/*
*  PgpCache.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef PgpCacheH
#define PgpCacheH
//---------------------------------------------------------------------------
class TPassphrase
{
  //bool Timing;
  TTimer *Timer;
protected:
  void __fastcall TimerTimer(TObject *Sender);
public:
  int seconds;
  char *sessionKey;
  TStringList *phrases;
  __fastcall TPassphrase(TComponent* Owner);
  __fastcall~TPassphrase();
  void __fastcall Delete(AnsiString idtext8);
  void __fastcall Add(AnsiString idtext8, AnsiString phrase);
  AnsiString __fastcall Get(TStrings *idtext8s, AnsiString &idtext8); // returns idtext8
  AnsiString __fastcall Get(AnsiString idtext8);                      // in idtext8
  char*__fastcall GetSessionKey();
  void __fastcall Clear();
};
//---------------------------------------------------------------------------
extern TPassphrase *Passphrase;
//---------------------------------------------------------------------------
#endif
