/*
*  pgpkeyimpdlgs.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef PgpKeyImpDlgsH
#define PgpKeyImpDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Menus.hpp>
#include "pgpkeywins.h"
//---------------------------------------------------------------------------
bool __fastcall ImportPGPKeys(TForm *Owner, TPGPbuffer *ImpKeys, AnsiString &ImportDir);

class TPgpKeyImpDlg : public TForm
{
__published:	// IDE-managed Components
  TButton *ImportBtn;
  TButton *CancelBtn;
  TButton *HelpBtn;
  TPanel *Panel1;
  TSpeedButton *ClipBtn;
  TSpeedButton *FileBtn;
  TComboBox *ComboBox1;
  TOpenDialog *OpenDialog;
  TPopupMenu *PopupMenu1;
  TMenuItem *PopDeleteItem;
  TTimer *Timer1;
  TListBox *ListBox1;
  TRichEdit *RichEdit1;
  void __fastcall FileBtnClick(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall ImportBtnClick(TObject *Sender);
  void __fastcall ClipBtnClick(TObject *Sender);
	
	
private:	// User declarations
public:		// User declarations
  int flash;
  AnsiString impdir,cap;
  TPGPbuffer *imports,*keys,*publics,*secrets;
  virtual __fastcall TPgpKeyImpDlg(TComponent* Owner);
  virtual __fastcall TPgpKeyImpDlg(TComponent* Owner, TPGPbuffer *ImpKeys,
     AnsiString &ImportDir);
  virtual __fastcall~TPgpKeyImpDlg();
  void __fastcall ImportKeys(AnsiString Name, TStrings *AsciiBlock);
  void __fastcall AddTrust(TPGPbuffer *key, bool ispair);
  TPGPbuffer* __fastcall IsPublic(TPGPbuffer *key);
};
//---------------------------------------------------------------------------
extern TPgpKeyImpDlg *PgpKeyImpDlg;
//---------------------------------------------------------------------------
#endif
