/*
*  PgpMsg.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef PgpMsgH
#define PgpMsgH

#include "mixmaster.h"
//---------------------------------------------------------------------------
class TPgpMsg : public TObject
{
private:
   AnsiString __fastcall idtext8(BUFFER *pkt);
public:
   int status;
   BUFFER *buf;
   virtual __fastcall TPgpMsg(TStrings *AsciiMessage); // armored
   virtual __fastcall TPgpMsg(BUFFER *Message); // armored or non
   virtual __fastcall TPgpMsg(char* Message);  // armored or non
   __fastcall~TPgpMsg();
   bool __fastcall IsConventional();
   void __fastcall GetMsgInfo();
   AnsiString __fastcall Description(BUFFER *pkt); // provides info on key for debug purposes
   AnsiString __fastcall IdText8();
   void __fastcall KeyId(BUFFER *Keyid, BUFFER *pkt);
   byte __fastcall Algorithm(BUFFER *pkt);
   byte __fastcall Version(BUFFER *pkt);
   byte __fastcall CTB(BUFFER *pkt);
};

#endif
