/*
*  TBuffer.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "TBUFFER.h"
#include "fileMan.h"
//---------------------------------------------------------------------------
__fastcall TBUFFER::TBUFFER()
   : TMemoryStream()
{
}
//---------------------------------------------------------------------------
__fastcall TBUFFER::TBUFFER(AnsiString Filename)
   : TMemoryStream()
{
   filename = Filename;
   if (FileExists(filename)) LoadFromFile(filename);
}
//---------------------------------------------------------------------------
__fastcall TBUFFER::~TBUFFER()
{
}
//---------------------------------------------------------------------------
void __fastcall TBUFFER::rewind()
{
   Seek(0,soFromBeginning);
}
//---------------------------------------------------------------------------
void __fastcall TBUFFER::clear()
{
   SetSize(0);
}
//---------------------------------------------------------------------------
bool __fastcall TBUFFER::save()
{
   if (filename.IsEmpty()) return false;
   SaveToFile(filename);
   return true;
}
//---------------------------------------------------------------------------
void __fastcall TBUFFER::SetPosition(long pos)
{
   Position = pos;
}
//---------------------------------------------------------------------------
long __fastcall TBUFFER::GetPosition()
{
   return Position;
}
//---------------------------------------------------------------------------
byte* __fastcall TBUFFER::GetMemory()
{
   return ((byte*)Memory);
}
//---------------------------------------------------------------------------
long __fastcall TBUFFER::GetSize()
{
   return Size;
}
//---------------------------------------------------------------------------
byte __fastcall TBUFFER::ReadByte()
{
   byte b; Read(&b,1);
   return b;
}
byte __fastcall TBUFFER::readbyte()
{
   byte b; Read(&b,1);
   return b;
}
//---------------------------------------------------------------------------
int __fastcall TBUFFER::ReadInt()
{
   int i; Read(&i,2);
   return i;
}
int __fastcall TBUFFER::readint()
{
   int i; Read(&i,2);
   return i;
}
//---------------------------------------------------------------------------
long __fastcall TBUFFER::ReadLong()
{
   long l; Read(&l,4);
   return l;
}
long __fastcall TBUFFER::readlong()
{
   long l; Read(&l,4);
   return l;
}
//---------------------------------------------------------------------------
int  __fastcall TBUFFER::WriteByte(byte b)
{
   Write(&b,1);
   return 1;
}
int  __fastcall TBUFFER::writebyte(byte b)
{
   Write(&b,1);
   return 1;
}
//---------------------------------------------------------------------------
int  __fastcall TBUFFER::WriteInt(int i)
{
   Write(&i,2);
   return 2;
}
int  __fastcall TBUFFER::writeint(int i)
{
   Write(&i,2);
   return 2;
}
//---------------------------------------------------------------------------
int __fastcall TBUFFER::WriteLong(long l)
{
   Write(&l,4);
   return 4;
}
int __fastcall TBUFFER::writelong(long l)
{
   Write(&l,4);
   return 4;
}
//---------------------------------------------------------------------------
