/*
*  WipeDlgs.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef WipeDlgsH
#define WipeDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
// wipefiles shows progress via dialog
// wipedelete and simplewipe wipes without presenting a progress dialog
int __fastcall zapfile(AnsiString &Filename, int Passes);
int __fastcall simplewipe(AnsiString &Filename, int Passes=10);
int __fastcall wipefiles(AnsiString &Filename, int Passes=10);
int __fastcall wipefile(AnsiString &Filename, int Passes=10);
// init and generate a 1024 byte random char array
char* __fastcall GetSessionKey();

class TWipeDlg : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TTimer *Timer1;
	TButton *Button1;
	TBevel *Bevel1;
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
public:	// User declarations
   int retcode,passes;
   TStringList *files;
	__fastcall TWipeDlg(TComponent* Owner);
};

#define WIPE_OK 1
#define WIPE_NOTOPEN 2
#define WIPE_USERABORT 3
#define WIPE_NOSTATS 4
#define WIPE_NOREMOVE 5
#define WIPE_NOFLUSH 6
#define WIPE_NOFILEMAP 7
#define WIPE_NOMEMMAP 8
#define WIPE_ALREADYOPEN 9
#define WIPE_WRITEPROTECT 10
#define WIPE_RENAMEFAILED 11
#define WIPE_NOTEXISTING 12

//---------------------------------------------------------------------------
extern TWipeDlg *WipeDlg;
extern AnsiString WipeErrorStr;
extern char *sessionkey;
//---------------------------------------------------------------------------
#endif
